<!DOCTYPE html>
<html lang="{{ .Site.Language.Lang }}">

<head>
    {{ $title := cond (eq .Page.Title .Site.Title) .Site.Title (printf "%s :: %s" .Page.Title .Site.Title) }}
    {{ $description := default (cond .Page.IsPage .Page.Title .Site.Params.description) .Page.Summary }}
    {{ $type := cond .Page.IsPage "article" "website" }}

    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="title" content="{{ $title }}">
    <meta name="og:title" content="{{ $title }}">

    <meta name="description" content="{{ $description }}">
    <meta name="og:description" content="{{ $description }}">

    <meta name="og:type" content="{{ $type }}">
    {{ with urls.Parse .Page.Permalink }}
    <meta name="og:site_name" content="{{ .Host }}">
    <meta name="og:url" content="{{ . }}">
    {{ end }}

    {{ with .Site.Params.author }}
    <meta name="author" content="{{ . }}">
    <meta name="copyright" content="{{ . }}">
    {{ end }}

    {{ with .Page.Language.Lang }}
    <meta name="language" content="{{ . }}">
    {{ end }}

    {{ with .Page.Keywords }}
    {{ $kw := delimit . ", " }}
    <meta name="keywords" content="{{ $kw }}">
    {{ end }}

    {{ range .AlternativeOutputFormats -}}
    <link rel="{{ .Rel }}" type="{{ .MediaType.Type }}" href="{{ .RelPermalink }}">
    {{ end -}}

    {{ partial "utils/favicons" . }}

    {{ partial "utils/css" . }}
    {{ partial "utils/js" . }}

    <title>{{ $title }}</title>
</head>

<body>
    <header class="site-header">
        {{ partial "content/header" . }}
    </header>

    <div class="site-main">
        <main role="main">
            {{ block "main" . }}{{ end }}
        </main>
    </div>

    <footer class="site-footer">
        {{ partial "content/footer" . }}
    </footer>

</body>

</html>